<?php
$myEnv[module] 		= "minicalendar";
$myEnv[output] 		= "html";
$myEnv[stdsmenu] 	= false;

include("../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");
include(INCLUDEPATH . "mSelectBox.class.php");
include("calendar.config.php");

if (isset($action)) {
	include("actions.php");
	}

$txtcolor   = "#000000";
$bgcolorTD 	= "#000000";
$bgcolorCAL = "#FFFFFF";

if( !$_year ) 	$_year = date("Y");
if( !$_month ) 	$_month = date("m");

$smarty->assign("filtreChoixProjet", $HTTP_POST_VARS[choixProjet]);
if (!empty($fCP)) { 
	$HTTP_POST_VARS[choixProjet] = $fCP; 
	$smarty->assign("filtreChoixProjet", $HTTP_POST_VARS[choixProjet]);
	}

$conditionSupplementaire = "";

if ( isset($HTTP_POST_VARS[choixProjet]) and !($HTTP_POST_VARS[choixProjet]=='all') ) {
	$conditionSupplementaire = "msg_projet=".$HTTP_POST_VARS[choixProjet] ;
	if ($HTTP_POST_VARS[choixProjet]==0) {
		$libelExpliqueSQL = $hashmap[libelExpliqueSQL0];
	} else {
		$libelExpliqueSQL = $hashmap[libelExpliqueSQL1];
	}	
	$smarty->assign("choixProjetHIDDEN",$HTTP_POST_VARS[choixProjet]);
} elseif ( isset($HTTP_POST_VARS[choixProjet]) and $HTTP_POST_VARS[choixProjet]=='all' ) {
	$libelExpliqueSQL = $hashmap[libelExpliqueSQL];
	$smarty->assign("choixProjetHIDDEN","");
} else {
	$libelExpliqueSQL = $hashmap[libelExpliqueSQL];
	$smarty->assign("choixProjetHIDDEN","");
}
$smarty->assign("libelExpliqueSQL",$libelExpliqueSQL);

$mois = $_month;
$year = $_year;

for ( $i=0 ; $i < $nbMonthPrinted ; $i++ ){
	$mymonth = new month($mois,$year,$conditionSupplementaire);
	$cCalendrier = $mymonth->draw( array(
					"cellspacing" => "1" , 
					"cellpadding" => "1" ,               	
					"top_row_align" => "center" , 
					"table_height" => "400px" ,                    
					"top_row_cell_height" => 20 , 
					"bgcolor" => $bgcolorCAL ,
					"textcolor"  => $txtcolor,                       
					"row_align" => "left" , 
					"row_valign" => "top" , 
					"font_size" => "1", 
					"admin" => $admin, 
					"user" => $user,
					"nFirstDay" => $nFirstDay, 
					"bgcolorOfToday" => "#CC000" 
					) );
	if ($i == 0) {
		$mois_precedent = "<a href=index.php?_month=".$mymonth->prevmonth."&_year=".$mymonth->prevyear."&fCP=".$filtreChoixProjet.">".$hashmap[MONTH_BEFORE]."</a>";
		$mois_suivant   = "<a href=index.php?_month=".$mymonth->nextmonth."&_year=".$mymonth->nextyear."&fCP=".$filtreChoixProjet.">".$hashmap[MONTH_AFTER]."</a>";
		$smarty->assign("moisprecedent",$mois_precedent);
		$smarty->assign("moissuivant",$mois_suivant);
		$smarty->assign('prevmonth',$mymonth->prevmonth);
		$smarty->assign('prevyear',$mymonth->prevyear);
		$smarty->assign('nextmonth',$mymonth->nextmonth);
		$smarty->assign('nextyear',$mymonth->nextyear);
	} else {
		$mois_precedent = "&nbsp;";
		$mois_suivant   = "&nbsp;";
	}
	$row = array(	"calendrier" => $cCalendrier,
					"an" => $mymonth->year,
					"mois" => $mymonth->month_name
				);
    $smarty->append("td",$row);
	$mois = $mois + 1;
	if ($mois == 13) { $mois = '01'; $year = $year + 1; }
	if (strlen($mois)==1) { $mois = '0'.$mois; }
	}

$smarty->assign("libelaction","creerfrais");
$smarty->assign('bgcolorTD',$bgcolorTD);
$choixProjet = new mSelectBox("choixProjet", $HTTP_POST_VARS[choixProjet] );

$choixProjet->setContentType("sql");
$choixProjet->setSQLvalue("project_id");
$choixProjet->setSQLcontent("idname");
$choixProjet->addContent("select project_id,concat(title,' / ',description) as name,concat(project_id,' - ',title,' / ',description) as idname from mgw_projects where status='A' order by name");
$choixProjet->addOption("0", "", "pre");
$choixProjet->addOption("all", $hashmap[alltheprojects], "after");
$choixProjet->setHandler("ONCHANGE","document.choisirProjet.submit()");

$smarty->assign("choixProjet",$choixProjet->draw());
$smarty->assign('rootURL',$appconf[rooturl]);
$smarty->display("sbcal.tpl");
?>
