<?php

  /*
   This file is part of MoreGroupWare's webmail2 module
   Copyright 2004-2005 Franky Van Liedekerke
   This module is released under the GPL (as stated below).

   Originally written by Thomas Bley (info@simple-groupware.de),
   now adapted and maintained by Franky Van Liedekerke.

   You should have received a copy of the GNU General Public License
   along with mgw; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

$myEnv["module"] = "webmail2";
$myEnv["stdsmenu"] = false;
$myEnv["output"] = "html";

include("../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");
require_once(WM2_INC_DIR."pear/Mail.php");
require_once(WM2_INC_DIR."pear/Mail/mime.php");
require_once(WM2_INC_DIR."pear/Mail/RFC822.php");
include(WM2_INC_DIR.'sendmail_post_inc.php');
include(WM2_INC_DIR."imap/date.php");

require_once(INCLUDEPATH . "crypt.inc.php");

error_reporting  (E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

$myC = new Crypto();
$toarr=array("moregroupware-user@lists.sourceforge.net");

$myvars = array("account");
foreach ($myvars as $thevar) {
  ${$thevar} = (isset($_GET[$thevar])) ? $_GET[$thevar] : (isset($_POST[$thevar]) ? $_POST[$thevar] : "");
}

$back_button = '
      <form method="post" action="settings.php">
        <input type="hidden" name="action" value="listaccounts">
        <input type="hidden" name="'.session_name().'" value="'.session_id().'">
        <input type="submit" class="submit" value="'.Lang::getLanguageString("attachments_go_back").'">
      </form>
';

if ($username == "admin") {
  $sql = "select * from mgw_webmail2_accounts where id=".(int)$account;
} else {
  $sql = "select * from mgw_webmail2_accounts where id=".(int)$account." and user_id=".(int)$user_id;
}
if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__,__FILE__));
$row = $res->FetchRow();
if (!isset($row["id"])) show_webmail_error("Invalid account.");


if ($row["password"]!="") {$password = $myC->decrypt($username, $row["password"]);} else {$password = "";}
if ($row["smtppassword"]!="") {$thesmtppassword = $myC->decrypt($username, $row["smtppassword"]);} else {$thesmtppassword = "";}

if ($row["smtpauth"]=="checked") {
  $smtpauth = true;
  if ($row["smtpusepopuser"]=="checked") {
    $smtpusername = $row["username"];
    $smtppassword = $password;
  } else {
    $smtpusername = $row["smtpusername"];
    $smtppassword = $thesmtppassword;
  }
} else {
  $smtpusername = "";
  $smtppassword = "";
  $smtpauth = false;
}

check_pop_sendmail($row,"",1);
$crlf="\n";
$mime = new Mail_mime($crlf);
$mime->setTXTBody("test");

$mydate = date("D, d M Y H:i:s O");
$recipients = implode(",",$toarr);
$subject = "Test";

$headers = array(
                'From'=>$row["fullname"]." <".$row["replyto"].">",
                'To'=>$recipients,
                'Subject'=>$subject,
                'Date'=>$mydate
);

$body=$mime->get();
$headers = $mime->headers($headers);

  if (count($toarr) != 0) {
      if ($row["enable_ssl_smtp"]=="checked") {
        $port = "465";
        $hostname = "ssl://".$row["smtphost"];
      } else {
        $port = "25";
        $hostname = $row["smtphost"];
      }
      if (!empty($row["smtpport"])) {
        $port = $row["smtpport"];
      }
      $smtp_params=array('host'=>$hostname,'port'=>$port,'localhost'=>$_SERVER["SERVER_NAME"],'auth'=>$smtpauth,'username'=>$smtpusername,'password'=>$smtppassword,'debug'=>false); 
      $smtp =& Mail::factory('smtp_test',$smtp_params);
      if (PEAR::isError($smtp)) {
        show_webmail_error($back_button.Lang::getLanguageString("sendmail_post_error"),$smtp->message);
      }
      $result=$smtp->send($recipients,$headers,$body);
      if (PEAR::isError($result)) {
        show_webmail_error($back_button.Lang::getLanguageString("sendmail_post_error"),$result->message);
      }
      unset($result);
      unset($smtp);
  }


  $smarty->assign("mytarget","_top");
  $smarty->assign("mysendmail","index.php?rightframe=sendmail.php?test&");
  $smarty->assign("myfetchmail","index.php?rightframe=begin_fetchmail.php");

  $smarty->assign("mailboxname",$mailboxname);
  $smarty->assign("myimgpathmaster", "templates/default/media");
  $smarty->assign("hostname",$hostname);
  $smarty->display('sendmail_test.tpl');
?>
